Subject: Re: [dtn] I-D Action: draft-ietf-dtn-bpbis-03.txt

From: "Ivancic, William D. (GRC-LCA0)" <[email-masked]>
Date: Fri, 10 Jun 2016 21:05:28 +0000

I agree. Keith did a very good job with the write up and explaining
custody.

Now consider we have five nodes A, B, C, D and E. A wishes to send a
bundle to E. All transmission to E must pass through D.  A sends a bundle
with a one week lifetime to B
with custody requested. B accepts custody and receives the bundle. B sends
to C with custody requested.  C accepts custody and receives the bundle.
C sends to D with custody requested.  D receives the bundle and forwards
to E, but does not accept custody.  E receives bundle and passes the
contents to the appropriate service.

What does C do?

Assume this is a multi-domain heterogeneous network - not a simple closed
network.

Will

PS: sorry about the multiples sends.  I was using dictation and every time
I said ³to send² it sent the message.  :-)

On 6/10/16, 4:47 PM, "dtn on behalf of Carlo Caini" <[email-masked]
on behalf of [email-masked]> wrote:

>Dear Keith and Scott,
>    it seems to me that after a thorough discussion of both thesis and
>antithesis, we eventually arrived at a perfect synthesis!
>Really well done!
>Yours,
>   Carlo
>
>
>________________________________________
>
>Custody transfer in BP provides a means of reliable data transmission via
>a coarse-grained retransmission mechanism.  When a node takes custody of
>a bundle it commits to taking responsibility for moving that bundle
>toward its destination (in terms of some routing metric at the node),
>possibly retransmitting the bundle if it believes that the bundle has
>been lost or corrupted in transit. ...

---

From: "Burleigh, Scott C (312B)" <[email-masked]>
Date: Fri, 10 Jun 2016 21:31:53 +0000

E should have sent a custody acceptance signal back to C (see the second bullet of Step 3 of section 5.7 of RFC 5050).  If it didn't (i.e., the implementation of BP at E was non-compliant), then the custodial retransmission timer at C will expire and the bundle will be re-forwarded to D.

Scott

-----Original Message-----
From: dtn [mailto:[email-masked]] On Behalf Of Ivancic, William D. (GRC-LCA0)
Sent: Friday, June 10, 2016 2:05 PM
To: [email-masked]
Subject: Re: [dtn] I-D Action: draft-ietf-dtn-bpbis-03.txt

I agree. Keith did a very good job with the write up and explaining custody.

Now consider we have five nodes A, B, C, D and E. A wishes to send a bundle to E. All transmission to E must pass through D.  A sends a bundle with a one week lifetime to B with custody requested. B accepts custody and receives the bundle. B sends to C with custody requested.  C accepts custody and receives the bundle.
C sends to D with custody requested.  D receives the bundle and forwards to E, but does not accept custody.  E receives bundle and passes the contents to the appropriate service.

What does C do?

Assume this is a multi-domain heterogeneous network - not a simple closed network.

Will

PS: sorry about the multiples sends.  I was using dictation and every time I said ³to send² it sent the message.  :-)

On 6/10/16, 4:47 PM, "dtn on behalf of Carlo Caini" <[email-masked] on behalf of [email-masked]> wrote:

>Custody transfer in BP provides a means of reliable data transmission 
>via a coarse-grained retransmission mechanism.  When a node takes 
>custody of a bundle it commits to taking responsibility for moving that 
>bundle toward its destination (in terms of some routing metric at the 
>node), possibly retransmitting the bundle if it believes that the 
>bundle has been lost or corrupted in transit. ...

_______________________________________________
dtn mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dtn